Bulk Upsert Event Labels
curl --request POST \
--url https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/labeling/labels/bulk \
--header 'Content-Type: application/json' \
--data '
{
"event_uuids": [
"<string>"
],
"given_label": "<string>",
"corrected_intent": "<string>",
"corrected_pii_categories": [
"<string>"
],
"note": "<string>"
}
'import requests
url = "https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/labeling/labels/bulk"
payload = {
"event_uuids": ["<string>"],
"given_label": "<string>",
"corrected_intent": "<string>",
"corrected_pii_categories": ["<string>"],
"note": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
event_uuids: ['<string>'],
given_label: '<string>',
corrected_intent: '<string>',
corrected_pii_categories: ['<string>'],
note: '<string>'
})
};
fetch('https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/labeling/labels/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": 123,
"skipped": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}runtime-security-apps
Bulk Upsert Event Labels
POST
/
api
/
runtime-security
/
apps
/
{app_uuid}
/
labeling
/
labels
/
bulk
Bulk Upsert Event Labels
Path Parameters
Body
application/json
Required array length:
1 - 1000 elementsAvailable options:
injection, pii Available options:
confirm, false_positive, missed_detection, relabel Maximum string length:
64Maximum string length:
32Available options:
acting, framing Maximum array length:
32Maximum string length:
2000
